#!/bin/sh

QMVER="1.03"

cd qmail-$QMVER || exit

##################################################
# BUGFIXES
##################################################
set -x
patch -p0 < ../patches/large-dns.diff       # Handle DNS zones bigger than
                                            # 512 bytes

patch -p1 < ../patches/date-localtime.diff  # Send messages using local date
                                            # and time instead of GMT

patch -p0 < ../patches/ns-progress.diff     # Download progres indicator
                                            # works in Netscape when
                                            # downloading pop3 messages

##################################################
# NEW FEATURES
##################################################
patch -p1 < ../patches/qmqpc-timeout.diff   # Make timeouts for qmqp managable

patch -p0 < ../patches/quotas11.diff        # Return permanent error when
                                            # user quota is exceeded

##################################################
# ANTI SPAM
# See http://www.fehcom.de/qmail/ for more info
# about this patches
##################################################
tar xzvf ../spamcontrol-2314.tar.gz
./install_spamcontrol.sh
